# Uses of Class
org.opensaml.xmlsec.EncryptionParameters

Packages that use EncryptionParameters
Package
Description
org.opensaml.saml.saml2.profile.context
Context classes supporting SAML 2 profiles.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.
org.opensaml.xmlsec.context
Message context classes for XML Security.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of EncryptionParameters in org.opensaml.saml.saml2.profile.context

Fields in org.opensaml.saml.saml2.profile.context declared as EncryptionParameters
Modifier and Type
Field
Description
`private EncryptionParameters`
EncryptionContext.`assertionEncParams`
Parameters for assertion encrytion.
`private EncryptionParameters`
EncryptionContext.`attributeEncParams`
Parameters for attribute encrytion.
`private EncryptionParameters`
EncryptionContext.`idEncParams`
Parameters for identifier encrytion.
Methods in org.opensaml.saml.saml2.profile.context that return EncryptionParameters
Modifier and Type
Method
Description
`EncryptionParameters`
EncryptionContext.`getAssertionEncryptionParameters()`
Get the encryption parameters to use for encryption of assertions.
`EncryptionParameters`
EncryptionContext.`getAttributeEncryptionParameters()`
Get the encryption parameters to use for encryption of attributes.
`EncryptionParameters`
EncryptionContext.`getIdentifierEncryptionParameters()`
Get the encryption parameters to use for encryption of identifiers.
Methods in org.opensaml.saml.saml2.profile.context with parameters of type EncryptionParameters
Modifier and Type
Method
Description
`EncryptionContext`
EncryptionContext.`setAssertionEncryptionParameters(EncryptionParameters params)`
Set the encryption parameters to use for encryption of assertions.
`EncryptionContext`
EncryptionContext.`setAttributeEncryptionParameters(EncryptionParameters params)`
Set the encryption parameters to use for encryption of attributes.
`EncryptionContext`
EncryptionContext.`setIdentifierEncryptionParameters(EncryptionParameters params)`
Set the encryption parameters to use for encryption of identifiers.

## Uses of EncryptionParameters in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type EncryptionParameters
Modifier and Type
Field
Description
`private Function<Pair<ProfileRequestContext,EncryptionParameters>,List<EncryptionParameters>>`
AbstractEncryptAction.`encryptToSelfParametersStrategy`
Strategy used to resolve the encrypt-to-self parameters.
`private Function<Pair<ProfileRequestContext,EncryptionParameters>,List<EncryptionParameters>>`
AbstractEncryptAction.`encryptToSelfParametersStrategy`
Strategy used to resolve the encrypt-to-self parameters.
Methods in org.opensaml.saml.saml2.profile.impl that return EncryptionParameters
Modifier and Type
Method
Description
`protected abstract EncryptionParameters`
AbstractEncryptAction.`getApplicableParameters(EncryptionContext ctx)`
Return the right set of parameters for the operation to be performed, or none if no encryption should occur.
`protected EncryptionParameters`
EncryptAssertions.`getApplicableParameters(EncryptionContext ctx)`
Return the right set of parameters for the operation to be performed, or none if no encryption should occur.
`protected EncryptionParameters`
EncryptAttributes.`getApplicableParameters(EncryptionContext ctx)`
Return the right set of parameters for the operation to be performed, or none if no encryption should occur.
`protected EncryptionParameters`
EncryptNameIDs.`getApplicableParameters(EncryptionContext ctx)`
Return the right set of parameters for the operation to be performed, or none if no encryption should occur.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type EncryptionParameters
Modifier and Type
Method
Description
`void`
AbstractEncryptAction.`setEncryptToSelfParametersStrategy(Function<Pair<ProfileRequestContext,EncryptionParameters>,List<EncryptionParameters>> strategy)`
Set the strategy used to resolve the encrypt-to-self parameters.
`void`
AbstractEncryptAction.`setEncryptToSelfParametersStrategy(Function<Pair<ProfileRequestContext,EncryptionParameters>,List<EncryptionParameters>> strategy)`
Set the strategy used to resolve the encrypt-to-self parameters.

## Uses of EncryptionParameters in org.opensaml.saml.security.impl

Methods in org.opensaml.saml.security.impl with parameters of type EncryptionParameters
Modifier and Type
Method
Description
`protected boolean`
SAMLMetadataEncryptionParametersResolver.`checkAndProcessKeyAgreement(EncryptionParameters params, CriteriaSet criteria, Predicate<String> includeExcludePredicate, Credential credential)`
Check for a credential type that implies a key agreement operation, and process if so indicated.
`protected void`
SAMLMetadataEncryptionParametersResolver.`resolveAndPopulateCredentialsAndAlgorithms(EncryptionParameters params, CriteriaSet criteria, Predicate<String> includeExcludePredicate)`
Resolve and populate the data encryption and key transport credentials and algorithm URIs.
`protected void`
SAMLMetadataEncryptionParametersResolver.`resolveAndPopulateRSAOAEPParams(EncryptionParameters params, CriteriaSet criteria, Predicate<String> includeExcludePredicate, EncryptionMethod encryptionMethod)`
Resolve and populate an instance of `RSAOAEPParameters`, if appropriate for the selected key transport encryption algorithm.

## Uses of EncryptionParameters in org.opensaml.xmlsec.context

Fields in org.opensaml.xmlsec.context declared as EncryptionParameters
Modifier and Type
Field
Description
`private EncryptionParameters`
SecurityParametersContext.`encryptionParameters`
Encryption parameters.
Methods in org.opensaml.xmlsec.context that return EncryptionParameters
Modifier and Type
Method
Description
`EncryptionParameters`
SecurityParametersContext.`getEncryptionParameters()`
Get the parameters to use for XML encryption operations.
Methods in org.opensaml.xmlsec.context with parameters of type EncryptionParameters
Modifier and Type
Method
Description
`SecurityParametersContext`
SecurityParametersContext.`setEncryptionParameters(EncryptionParameters params)`
Set the parameters to use for XML encryption operations.

## Uses of EncryptionParameters in org.opensaml.xmlsec.encryption.support

Constructors in org.opensaml.xmlsec.encryption.support with parameters of type EncryptionParameters
Modifier
Constructor
Description
``
`DataEncryptionParameters(EncryptionParameters params)`
Convenience constructor which allows copying the relevant data encryption parameters from an instance of `EncryptionParameters`.
``
`KeyEncryptionParameters(EncryptionParameters params, String recipientId)`
Convenience constructor which allows copying the relevant key encryption parameters from an instance of `EncryptionParameters`.

## Uses of EncryptionParameters in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as EncryptionParameters
Modifier and Type
Field
Description
`private EncryptionParameters`
StaticEncryptionParametersResolver.`params`
Static parameters.
Methods in org.opensaml.xmlsec.impl that return EncryptionParameters
Modifier and Type
Method
Description
`EncryptionParameters`
BasicEncryptionParametersResolver.`resolveSingle(CriteriaSet criteria)`
`EncryptionParameters`
StaticEncryptionParametersResolver.`resolveSingle(CriteriaSet criteria)`
Methods in org.opensaml.xmlsec.impl that return types with arguments of type EncryptionParameters
Modifier and Type
Method
Description
`Iterable<EncryptionParameters>`
BasicEncryptionParametersResolver.`resolve(CriteriaSet criteria)`
`Iterable<EncryptionParameters>`
StaticEncryptionParametersResolver.`resolve(CriteriaSet criteria)`
Methods in org.opensaml.xmlsec.impl with parameters of type EncryptionParameters
Modifier and Type
Method
Description
`protected boolean`
BasicEncryptionParametersResolver.`checkAndProcessKeyAgreement(EncryptionParameters params, CriteriaSet criteria, Credential credential, List<String> dataEncryptionAlgorithms, List<String> keyTransportAlgorithms)`
Check for a credential type that implies a key agreement operation, and process if so indicated.
`protected void`
BasicEncryptionParametersResolver.`logResult(EncryptionParameters params)`
Log the resolved parameters.
`protected void`
BasicEncryptionParametersResolver.`processDataEncryptionCredentialAutoGeneration(EncryptionParameters params)`
Auto-generate and populate a data encryption credential, if configured and required conditions are met.
`protected void`
BasicEncryptionParametersResolver.`resolveAndPopulateCredentialsAndAlgorithms(EncryptionParameters params, CriteriaSet criteria, Predicate<String> includeExcludePredicate)`
Resolve and populate the data encryption and key transport credentials and algorithm URIs.
`protected void`
BasicEncryptionParametersResolver.`resolveAndPopulateRSAOAEPParams(EncryptionParameters params, CriteriaSet criteria, Predicate<String> includeExcludePredicate)`
Resolve and populate an instance of `RSAOAEPParameters`, if appropriate for the selected key transport encryption algorithm.
`protected boolean`
BasicEncryptionParametersResolver.`validate(EncryptionParameters params, boolean encryptionOptional)`
Validate that the `EncryptionParameters` instance has all the required properties populated.
Constructors in org.opensaml.xmlsec.impl with parameters of type EncryptionParameters
Modifier
Constructor
Description
``
`StaticEncryptionParametersResolver(EncryptionParameters parameters)`
Constructor.